<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_clipboard.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SDL_clipboard.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_s_d_l__stdinc_8h_source.html">SDL_stdinc.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="begin__code_8h_source.html">begin_code.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="close__code_8h_source.html">close_code.h</a>&quot;</code><br />
</div>
<p><a href="_s_d_l__clipboard_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a36d97ed867cc1a6a4f015aaa5972ed46"><td class="memItemLeft" align="right" valign="top">DECLSPEC int SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__clipboard_8h.html#a36d97ed867cc1a6a4f015aaa5972ed46">SDL_SetClipboardText</a> (const char *text)</td></tr>
<tr class="memdesc:a36d97ed867cc1a6a4f015aaa5972ed46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Put UTF-8 text into the clipboard.  <a href="_s_d_l__clipboard_8h.html#a36d97ed867cc1a6a4f015aaa5972ed46">More...</a><br /></td></tr>
<tr class="separator:a36d97ed867cc1a6a4f015aaa5972ed46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbe260fcf16ab844d6626e0bd83587d1"><td class="memItemLeft" align="right" valign="top">DECLSPEC char *SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__clipboard_8h.html#abbe260fcf16ab844d6626e0bd83587d1">SDL_GetClipboardText</a> (void)</td></tr>
<tr class="memdesc:abbe260fcf16ab844d6626e0bd83587d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get UTF-8 text from the clipboard, which must be freed with SDL_free()  <a href="_s_d_l__clipboard_8h.html#abbe260fcf16ab844d6626e0bd83587d1">More...</a><br /></td></tr>
<tr class="separator:abbe260fcf16ab844d6626e0bd83587d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a415fa85de093cf6117626a9415394509"><td class="memItemLeft" align="right" valign="top">DECLSPEC SDL_bool SDLCALL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__clipboard_8h.html#a415fa85de093cf6117626a9415394509">SDL_HasClipboardText</a> (void)</td></tr>
<tr class="memdesc:a415fa85de093cf6117626a9415394509"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a flag indicating whether the clipboard exists and contains a text string that is non-empty.  <a href="_s_d_l__clipboard_8h.html#a415fa85de093cf6117626a9415394509">More...</a><br /></td></tr>
<tr class="separator:a415fa85de093cf6117626a9415394509"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Include file for SDL clipboard handling </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="abbe260fcf16ab844d6626e0bd83587d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbe260fcf16ab844d6626e0bd83587d1">&#9670;&nbsp;</a></span>SDL_GetClipboardText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DECLSPEC char* SDLCALL SDL_GetClipboardText </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get UTF-8 text from the clipboard, which must be freed with SDL_free() </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="_s_d_l__clipboard_8h.html#a36d97ed867cc1a6a4f015aaa5972ed46" title="Put UTF-8 text into the clipboard.">SDL_SetClipboardText()</a> </dd></dl>

</div>
</div>
<a id="a415fa85de093cf6117626a9415394509"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a415fa85de093cf6117626a9415394509">&#9670;&nbsp;</a></span>SDL_HasClipboardText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DECLSPEC SDL_bool SDLCALL SDL_HasClipboardText </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a flag indicating whether the clipboard exists and contains a text string that is non-empty. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="_s_d_l__clipboard_8h.html#abbe260fcf16ab844d6626e0bd83587d1" title="Get UTF-8 text from the clipboard, which must be freed with SDL_free()">SDL_GetClipboardText()</a> </dd></dl>

</div>
</div>
<a id="a36d97ed867cc1a6a4f015aaa5972ed46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36d97ed867cc1a6a4f015aaa5972ed46">&#9670;&nbsp;</a></span>SDL_SetClipboardText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DECLSPEC int SDLCALL SDL_SetClipboardText </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Put UTF-8 text into the clipboard. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="_s_d_l__clipboard_8h.html#abbe260fcf16ab844d6626e0bd83587d1" title="Get UTF-8 text from the clipboard, which must be freed with SDL_free()">SDL_GetClipboardText()</a> </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
